Bug 69095 - FORMATTING: Some icon sets are not used for conditional formatting
Summary: FORMATTING: Some icon sets are not used for conditional formatting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All Linux (All)
: low enhancement
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-08 12:48 UTC by stragu
Modified: 2015-05-16 05:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2013-09-08 12:48:52 UTC
Problem description:

Some icons from the conditional formatting icon collection are not used in the options offered by the conditional formatting menu.

Steps to reproduce:

In LO 4.1, open document, open the menu "Format > Conditional formatting > Icon" set (or for earlier versions, select "Data bar" and then change to "Icon set" from the drop down menu).

Current behaviour:

Notice the three icon sets involving stars, squares or triangles are not available, even though they are in the included icons: https://wiki.documentfoundation.org/File:Cond-form-icons.svg


Expected behaviour:

Those sets are very useful, especially the stars, used for many rating calculation spreadsheets. One would expect to see them available in the conditional formatting menu.

              
Operating System: Ubuntu
Version: 4.0.0.3 release
Comment 1 Joel Madero 2013-09-09 04:07:58 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: 09a4c4d176ff97ab8ff4027af83a549991667baf
 Date:   Tue Jul 30 19:05:34 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Normal - can prevent high quality work
Low - very unlikely this is impacting many people but none the less, the icons are listed and should be included

@Markus - thought this might interest you probably an easy fix

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Markus Mohrhard 2013-09-09 11:25:48 UTC
Not an easy fix otherwise I would have used them directly.

They are in the OOXML filter in extensions to the original OOXML standard and the documentation how they are stored there is more or less non-existent. I decided to skip looking into this for now as I have not enough inside into the extLst entries. I found a few months ago a few comments in a document from Microsoft but it is still not enough to implement it.

I know that I have to look into it at some point but this requires some reverse engineering for which I have not enough time right now.
Comment 3 Markus Mohrhard 2013-12-28 05:00:15 UTC
Actually mark it correctly as enhancement.
Comment 4 Commit Notification 2015-05-16 05:27:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4eb19ec569579137de9d835fe584e47b871c4e8c

add missing OOXML icon sets, tdf#69095

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.